#
# spec file for package perl-X500-DN
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-X500-DN
BuildRequires:  perl-Parse-RecDescent
BuildRequires:  perl-macros
Requires:       perl-Parse-RecDescent
Summary:        Provides an interface for RFC 2253 style DN strings
License:        Artistic-1.0 OR GPL-2.0-or-later
Group:          Development/Libraries/Perl
Version:        0.29
Release:        109.17
URL:            http://search.cpan.org/dist/X500-DN/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJOOP/X500-DN-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch0:         version-string-fix.diff
Patch1:         version-string-fix2.diff
Patch2:         X500-DN-dont_set_skip_to_undef.patch
%{perl_requires}

%description
X500::DN Provides a pure perl parser and formatter for RFC 2253 style
DN strings.



Authors:
--------
    Robert Joop <yaph-020416@timesink.de>

%prep
%setup -n X500-DN-%{version}
%patch0
%patch1
%patch2 -p1
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make %{?_smp_mflags}
# ---------------------------------------------------------------------------

%check
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT \
	 INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	 install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%{perl_vendorarch}/auto/X500
%dir %{perl_vendorlib}/X500
%{perl_vendorlib}/X500/RDN.pod
%{perl_vendorlib}/X500/RDN.pm
%{perl_vendorlib}/X500/DN.pod
%{perl_vendorlib}/X500/DN.pm
%doc Changes MANIFEST README
%doc %{_mandir}/man3/*

%changelog
* Mon Dec  2 2019 Dominique Leuenberger <dimstar@opensuse.org>
- No mix between numbered and unnumbered patches: RPM 4.15 finally
  no longer supports that.
* Wed Jun 19 2013 vcizek@suse.com
- don't set $Parse::RecDescent::skip to 'undef' (bnc#799660)
  * X500-DN-dont_set_skip_to_undef.patch
* Tue Mar 19 2013 coolo@suse.com
- add a url for the source
* Wed Feb 27 2013 coolo@suse.com
- update license to new format
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Jan 20 2009 ug@suse.de
- Testsuite activated (bnc#465993)
* Wed Oct  8 2008 ug@suse.de
- version check for parse-recdescend removed (bnc#433425)
* Mon Feb 25 2008 ug@suse.de
- suppress a version string warning (#360044)
* Mon Jul 16 2007 ug@suse.de
- version 0.29
- added missing PREREQ_PM in Makefile.PL
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 ug@suse.de
- version update from 0.27 to 0.28
- spec file fix for install_vendor
* Tue Jun 17 2003 ug@suse.de
- added missing directory to files-section
* Mon May 19 2003 ro@suse.de
- fix filelist
- remove perllocal.pod
* Fri Oct 18 2002 ro@suse.de
- remove race in specfile
* Fri Oct 18 2002 ug@suse.de
- initial release. This package is needed by perl-OpenCA-OpenSSL
